std::_Deque_base(3)

NAME
std::_Deque_base -

SYNOPSIS

Inherited by deque [protected].

Detailed Description

  template<typename _Tp, typename _Alloc> class std::_Deque_base< _Tp, _Alloc >

Definition at line 354 of file stl_deque.h.

  Public Types
typedef _Alloc allocator_type
typedef _Deque_iterator< _Tp, const _Tp &, const _Tp * > const_iterator
typedef _Deque_iterator< _Tp, _Tp &, _Tp * > iterator

  Public Member Functions
_Deque_base (const allocator_type &__a)
_Deque_base (const allocator_type &__a, size_t __num_elements)
allocator_type get_allocator () const
~_Deque_base ()

  Protected Types
enum { _S_initial_map_size }
typedef _Alloc::template rebind< _Tp * >::other _Map_alloc_type
_S_initial_map_size
typedef _Alloc::template rebind< _Tp >::other _Tp_alloc_type

  Protected Member Functions
_Tp ** _M_allocate_map (size_t __n)
_Tp * _M_allocate_node ()
void _M_create_nodes (_Tp **__nstart, _Tp **__nfinish)
void _M_deallocate_map (_Tp **__p, size_t __n)
void _M_deallocate_node (_Tp *__p)
void _M_destroy_nodes (_Tp **__nstart, _Tp **__nfinish)
_Map_alloc_type _M_get_map_allocator () const
const _Tp_alloc_type & _M_get_Tp_allocator () const
_Tp_alloc_type & _M_get_Tp_allocator ()
void _M_initialize_map (size_t)

  Protected Attributes
_Deque_impl _M_impl

  Classes
struct _Deque_impl

Author

Generated automatically by Doxygen for libstdc++ from the source code.